import { Prisma, Plugin } from '../../generated/client/index.js';
export declare function createPlugin(data: Prisma.PluginCreateInput): Promise<Plugin>;
export declare function getPlugin(id: string): Promise<Plugin | null>;
export declare function listPlugins(): Promise<Plugin[]>;
export declare function updatePlugin(id: string, data: Prisma.PluginUpdateInput): Promise<Plugin>;
export declare function deletePlugin(id: string): Promise<Plugin>;
